Index: /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/FloatExpressions.cs
===================================================================
--- /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/FloatExpressions.cs	(revision 14512)
+++ /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/FloatExpressions.cs	(revision 14513)
@@ -1,203 +1,228 @@
-﻿using System;
-using HeuristicLab.Algorithms.PushGP.Interpreter;
-
-namespace HeuristicLab.Algorithms.PushGP.Expressions
+﻿namespace HeuristicLab.Algorithms.PushGP.Expressions
 {
-    /// <summary>
-    /// Pushes the sum of the top two items.
-    /// </summary>
-    public class FloatAddExpression : PushResultExpression<double>
-    {
-        protected override string InitStringRepresentation() { return "FLOAT.+"; }
-
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter.FloatStack, 2, values => values[0] + values[1]);
-        }
-    }
-
-    /// <summary>
-    /// Pushes the difference of the top two items; that is, the second item minus the top item.
-    /// </summary>
-    public class FloatSubtractExpression : PushResultExpression<double>
-    {
-        protected override string InitStringRepresentation() { return "FLOAT.-"; }
-
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter.FloatStack, 2, values => values[0] - values[1]);
-        }
-    }
-
-    /// <summary>
-    /// Pushes the product of the top two items.
-    /// </summary>
-    public class FloatMultiplyExpression : PushResultExpression<double>
-    {
-        protected override string InitStringRepresentation() { return "FLOAT.*"; }
-
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter.FloatStack, 2, values => values[0] * values[1]);
-        }
-    }
-
-    /// <summary>
-    /// Pushes the quotient of the top two items; that is, the second item divided by the top item.
-    /// If the top item is zero this acts as a NOOP.
-    /// </summary>
-    public class FloatDivideExpression : PushResultExpression<double>
-    {
-        protected override string InitStringRepresentation() { return "FLOAT./"; }
-
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter.FloatStack, 2, values => values[0] / values[1], 0);
-        }
-    }
-
-    /// <summary>
-    /// Pushes the second stack item modulo the top stack item. If the top item is zero this acts as a NOOP.
-    /// The modulus is computed as the remainder of the quotient, where the quotient has first been truncated toward negative infinity.
-    /// (This is taken from the definition for the generic MOD function in Common Lisp, which is described
-    /// for example at http://www.lispworks.com/reference/HyperSpec/Body/f_mod_r.htm.)
-    /// </summary>
-    public class FloatModuloExpression : PushResultExpression<double>
-    {
-        protected override string InitStringRepresentation() { return "FLOAT.%"; }
-
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter.FloatStack, 2, values => values[0] % values[1], 0);
-        }
-    }
-
-    /// <summary>
-    /// Pushes the minimum of the top two items.
-    /// </summary>
-    public class FloatMinExpression : PushResultExpression<double>
-    {
-        protected override string InitStringRepresentation() { return "FLOAT.MIN"; }
-
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter.FloatStack, 2, values => Math.Min(values[0], values[1]));
-        }
-    }
-
-    /// <summary>
-    /// Pushes the maximum of the top two items.
-    /// </summary>
-    public class FloatMaxExpression : PushResultExpression<double>
-    {
-        protected override string InitStringRepresentation() { return "FLOAT.MAX"; }
-
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter.FloatStack, 2, values => Math.Max(values[0], values[1]));
-        }
-    }
-
-    /// <summary>
-    /// Pushes TRUE onto the BOOLEAN stack if the second item is less than the top item, or FALSE otherwise.
-    /// </summary>
-    public class FloatSmallerThanExpression : PushResultExpression<double>
-    {
-        protected override string InitStringRepresentation() { return "FLOAT.<"; }
-
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(
-                interpreter.FloatStack,
-                interpreter.BooleanStack,
-                2,
-                values => values[0] < values[1]);
-        }
-    }
-
-    /// <summary>
-    /// Pushes TRUE onto the BOOLEAN stack if the second item is greater than the top item, or FALSE otherwise.
-    /// </summary>
-    public class FloatGreaterThanExpression : PushResultExpression<double>
-    {
-        protected override string InitStringRepresentation() { return "FLOAT.>"; }
-
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(
-                interpreter.FloatStack,
-                interpreter.BooleanStack,
-                2,
-                values => values[0] > values[1]);
-        }
-    }
-
-    /// <summary>
-    /// Pushes the sine of the top item.
-    /// </summary>
-    public class FloatSineExpression : PushResultExpression<double>
-    {
-        protected override string InitStringRepresentation() { return "FLOAT.SIN"; }
-
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(
-                interpreter.FloatStack,
-                1,
-                values => Math.Sin(values[0]));
-        }
-    }
-
-    /// <summary>
-    /// Pushes the cosine of the top item.
-    /// </summary>
-    public class FloatCosineExpression : PushResultExpression<double>
-    {
-        protected override string InitStringRepresentation() { return "FLOAT.COS"; }
-
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(
-                interpreter.FloatStack,
-                1,
-                values => Math.Cos(values[0]));
-        }
-    }
-
-    /// <summary>
-    /// Pushes 1 if the top BOOLEAN is TRUE, or 0 if the top BOOLEAN is FALSE.
-    /// </summary>
-    public class FloatFromBooleanExpression : StatelessExpression
-    {
-        protected override string InitStringRepresentation() { return "FLOAT.FROMBOOLEAN"; }
-
-        public override void Eval(IInterpreter interpreter)
-        {
-            if (interpreter.BooleanStack.Count == 0)
-                return;
-
-            var condition = interpreter.BooleanStack.Pop();
-            var value = condition ? 1 : 0;
-
-            interpreter.FloatStack.Push(value);
-        }
-    }
-
-    /// <summary>
-    /// Pushes a floating point version of the top INTEGER.
-    /// </summary>
-    public class FloatFromIntegerExpression : StatelessExpression
-    {
-        protected override string InitStringRepresentation() { return "FLOAT.FROMINTEGER"; }
-
-        public override void Eval(IInterpreter interpreter)
-        {
-            if (interpreter.IntegerStack.Count == 0)
-                return;
-
-            var value = (double)interpreter.IntegerStack.Pop();
-
-            interpreter.FloatStack.Push(value);
-        }
-    }
+  using System;
+
+  using HeuristicLab.Algorithms.PushGP.Interpreter;
+
+  /// <summary>
+  ///     Pushes the sum of the top two items.
+  /// </summary>
+  public class FloatAddExpression : PushResultExpression<double>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "FLOAT.+";
+    }
+
+    public override void Eval(IPushGpInterpreter interpreter)
+    {
+      this.Eval(interpreter.FloatStack, 2, values => values[0] + values[1]);
+    }
+  }
+
+  /// <summary>
+  ///     Pushes the difference of the top two items; that is, the second item minus the top item.
+  /// </summary>
+  public class FloatSubtractExpression : PushResultExpression<double>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "FLOAT.-";
+    }
+
+    public override void Eval(IPushGpInterpreter interpreter)
+    {
+      this.Eval(interpreter.FloatStack, 2, values => values[0] - values[1]);
+    }
+  }
+
+  /// <summary>
+  ///     Pushes the product of the top two items.
+  /// </summary>
+  public class FloatMultiplyExpression : PushResultExpression<double>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "FLOAT.*";
+    }
+
+    public override void Eval(IPushGpInterpreter interpreter)
+    {
+      this.Eval(interpreter.FloatStack, 2, values => values[0] * values[1]);
+    }
+  }
+
+  /// <summary>
+  ///     Pushes the quotient of the top two items; that is, the second item divided by the top item.
+  ///     If the top item is zero this acts as a NOOP.
+  /// </summary>
+  public class FloatDivideExpression : PushResultExpression<double>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "FLOAT./";
+    }
+
+    public override void Eval(IPushGpInterpreter interpreter)
+    {
+      this.Eval(interpreter.FloatStack, 2, values => values[0] / values[1], 0);
+    }
+  }
+
+  /// <summary>
+  ///     Pushes the second stack item modulo the top stack item. If the top item is zero this acts as a NOOP.
+  ///     The modulus is computed as the remainder of the quotient, where the quotient has first been truncated toward
+  ///     negative infinity.
+  ///     (This is taken from the definition for the generic MOD function in Common Lisp, which is described
+  ///     for example at http://www.lispworks.com/reference/HyperSpec/Body/f_mod_r.htm.)
+  /// </summary>
+  public class FloatModuloExpression : PushResultExpression<double>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "FLOAT.%";
+    }
+
+    public override void Eval(IPushGpInterpreter interpreter)
+    {
+      this.Eval(interpreter.FloatStack, 2, values => values[0] % values[1], 0);
+    }
+  }
+
+  /// <summary>
+  ///     Pushes the minimum of the top two items.
+  /// </summary>
+  public class FloatMinExpression : PushResultExpression<double>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "FLOAT.MIN";
+    }
+
+    public override void Eval(IPushGpInterpreter interpreter)
+    {
+      this.Eval(interpreter.FloatStack, 2, values => Math.Min(values[0], values[1]));
+    }
+  }
+
+  /// <summary>
+  ///     Pushes the maximum of the top two items.
+  /// </summary>
+  public class FloatMaxExpression : PushResultExpression<double>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "FLOAT.MAX";
+    }
+
+    public override void Eval(IPushGpInterpreter interpreter)
+    {
+      this.Eval(interpreter.FloatStack, 2, values => Math.Max(values[0], values[1]));
+    }
+  }
+
+  /// <summary>
+  ///     Pushes TRUE onto the BOOLEAN stack if the second item is less than the top item, or FALSE otherwise.
+  /// </summary>
+  public class FloatSmallerThanExpression : PushResultExpression<double>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "FLOAT.<";
+    }
+
+    public override void Eval(IPushGpInterpreter interpreter)
+    {
+      this.Eval(interpreter.FloatStack, interpreter.BooleanStack, 2, values => values[0] < values[1]);
+    }
+  }
+
+  /// <summary>
+  ///     Pushes TRUE onto the BOOLEAN stack if the second item is greater than the top item, or FALSE otherwise.
+  /// </summary>
+  public class FloatGreaterThanExpression : PushResultExpression<double>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "FLOAT.>";
+    }
+
+    public override void Eval(IPushGpInterpreter interpreter)
+    {
+      this.Eval(interpreter.FloatStack, interpreter.BooleanStack, 2, values => values[0] > values[1]);
+    }
+  }
+
+  /// <summary>
+  ///     Pushes the sine of the top item.
+  /// </summary>
+  public class FloatSineExpression : PushResultExpression<double>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "FLOAT.SIN";
+    }
+
+    public override void Eval(IPushGpInterpreter interpreter)
+    {
+      this.Eval(interpreter.FloatStack, 1, values => Math.Sin(values[0]));
+    }
+  }
+
+  /// <summary>
+  ///     Pushes the cosine of the top item.
+  /// </summary>
+  public class FloatCosineExpression : PushResultExpression<double>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "FLOAT.COS";
+    }
+
+    public override void Eval(IPushGpInterpreter interpreter)
+    {
+      this.Eval(interpreter.FloatStack, 1, values => Math.Cos(values[0]));
+    }
+  }
+
+  /// <summary>
+  ///     Pushes 1 if the top BOOLEAN is TRUE, or 0 if the top BOOLEAN is FALSE.
+  /// </summary>
+  public class FloatFromBooleanExpression : StatelessExpression
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "FLOAT.FROMBOOLEAN";
+    }
+
+    public override void Eval(IPushGpInterpreter interpreter)
+    {
+      if (interpreter.BooleanStack.Count == 0) return;
+
+      var condition = interpreter.BooleanStack.Pop();
+      var value = condition ? 1 : 0;
+
+      interpreter.FloatStack.Push(value);
+    }
+  }
+
+  /// <summary>
+  ///     Pushes a floating point version of the top INTEGER.
+  /// </summary>
+  public class FloatFromIntegerExpression : StatelessExpression
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "FLOAT.FROMINTEGER";
+    }
+
+    public override void Eval(IPushGpInterpreter interpreter)
+    {
+      if (interpreter.IntegerStack.Count == 0) return;
+
+      var value = (double)interpreter.IntegerStack.Pop();
+
+      interpreter.FloatStack.Push(value);
+    }
+  }
 }
Index: /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/FlushExpressions.cs
===================================================================
--- /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/FlushExpressions.cs	(revision 14512)
+++ /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/FlushExpressions.cs	(revision 14513)
@@ -1,77 +1,95 @@
-﻿using HeuristicLab.Algorithms.PushGP.Interpreter;
-using HeuristicLab.Algorithms.PushGP.Stack;
+﻿namespace HeuristicLab.Algorithms.PushGP.Expressions
+{
+  using HeuristicLab.Algorithms.PushGP.Interpreter;
+  using HeuristicLab.Algorithms.PushGP.Stack;
 
-namespace HeuristicLab.Algorithms.PushGP.Expressions
-{
-    /// <summary>
-    /// Empties the given stack.
-    /// </summary>
-    /// <typeparam name="T">Stacktype</typeparam>
-    public abstract class FlushExpression<T> : StatelessExpression
+  /// <summary>
+  ///     Empties the given stack.
+  /// </summary>
+  /// <typeparam name="T">Stacktype</typeparam>
+  public abstract class FlushExpression<T> : StatelessExpression
+  {
+    public void Eval(IStack<T> stack)
     {
-        public void Eval(IStack<T> stack)
-        {
-            stack.Clear();
-        }
+      stack.Clear();
+    }
+  }
+
+  public class IntegerFlushExpression : FlushExpression<long>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "INTEGER.FLUSH";
     }
 
-    public class IntegerFlushExpression : FlushExpression<long>
+    public override void Eval(IPushGpInterpreter interpreter)
     {
-        protected override string InitStringRepresentation() { return "INTEGER.FLUSH"; }
+      this.Eval(interpreter.IntegerStack);
+    }
+  }
 
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter.IntegerStack);
-        }
+  public class FloatFlushExpression : FlushExpression<double>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "FLOAT.FLUSH";
     }
 
-    public class FloatFlushExpression : FlushExpression<double>
+    public override void Eval(IPushGpInterpreter interpreter)
     {
-        protected override string InitStringRepresentation() { return "FLOAT.FLUSH"; }
+      this.Eval(interpreter.FloatStack);
+    }
+  }
 
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter.FloatStack);
-        }
+  public class BooleanFlushExpression : FlushExpression<bool>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "BOOLEAN.FLUSH";
     }
 
-    public class BooleanFlushExpression : FlushExpression<bool>
+    public override void Eval(IPushGpInterpreter interpreter)
     {
-        protected override string InitStringRepresentation() { return "BOOLEAN.FLUSH"; }
+      this.Eval(interpreter.BooleanStack);
+    }
+  }
 
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter.BooleanStack);
-        }
+  public class NameFlushExpression : FlushExpression<string>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "NAME.FLUSH";
     }
 
-    public class NameFlushExpression : FlushExpression<string>
+    public override void Eval(IPushGpInterpreter interpreter)
     {
-        protected override string InitStringRepresentation() { return "NAME.FLUSH"; }
+      this.Eval(interpreter.NameStack);
+    }
+  }
 
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter.NameStack);
-        }
+  public class ExecFlushExpression : FlushExpression<Expression>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "EXEC.FLUSH";
     }
 
-    public class ExecFlushExpression : FlushExpression<Expression>
+    public override void Eval(IPushGpInterpreter interpreter)
     {
-        protected override string InitStringRepresentation() { return "EXEC.FLUSH"; }
+      this.Eval(interpreter.ExecStack);
+    }
+  }
 
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter.ExecStack);
-        }
+  public class CodeFlushExpression : FlushExpression<Expression>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "CODE.FLUSH";
     }
 
-    public class CodeFlushExpression : FlushExpression<Expression>
+    public override void Eval(IPushGpInterpreter interpreter)
     {
-        protected override string InitStringRepresentation() { return "CODE.FLUSH"; }
-
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter.CodeStack);
-        }
+      this.Eval(interpreter.CodeStack);
     }
+  }
 }
Index: /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/IntegerExpressions.cs
===================================================================
--- /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/IntegerExpressions.cs	(revision 14512)
+++ /branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/IntegerExpressions.cs	(revision 14513)
@@ -1,171 +1,197 @@
-﻿using System;
-using HeuristicLab.Algorithms.PushGP.Interpreter;
+﻿namespace HeuristicLab.Algorithms.PushGP.Expressions
+{
+  using System;
 
-namespace HeuristicLab.Algorithms.PushGP.Expressions
-{
-    /// <summary>
-    /// Pushes the sum of the top two items.
-    /// </summary>
-    public class IntegerAddExpression : PushResultExpression<long>
+  using HeuristicLab.Algorithms.PushGP.Interpreter;
+
+  /// <summary>
+  ///     Pushes the sum of the top two items.
+  /// </summary>
+  public class IntegerAddExpression : PushResultExpression<long>
+  {
+    protected override string InitStringRepresentation()
     {
-        protected override string InitStringRepresentation() { return "INTEGER.+"; }
-
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter.IntegerStack, 2, values => values[0] + values[1]);
-        }
+      return "INTEGER.+";
     }
 
-    /// <summary>
-    /// Pushes the difference of the top two items; that is, the second item minus the top item.
-    /// </summary>
-    public class IntegerSubtractExpression : PushResultExpression<long>
+    public override void Eval(IPushGpInterpreter interpreter)
     {
-        protected override string InitStringRepresentation() { return "INTEGER.-"; }
+      this.Eval(interpreter.IntegerStack, 2, values => values[0] + values[1]);
+    }
+  }
 
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter.IntegerStack, 2, values => values[0] - values[1]);
-        }
+  /// <summary>
+  ///     Pushes the difference of the top two items; that is, the second item minus the top item.
+  /// </summary>
+  public class IntegerSubtractExpression : PushResultExpression<long>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "INTEGER.-";
     }
 
-    /// <summary>
-    /// Pushes the product of the top two items.
-    /// </summary>
-    public class IntegerMultiplyExpression : PushResultExpression<long>
+    public override void Eval(IPushGpInterpreter interpreter)
     {
-        protected override string InitStringRepresentation() { return "INTEGER.*"; }
+      this.Eval(interpreter.IntegerStack, 2, values => values[0] - values[1]);
+    }
+  }
 
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter.IntegerStack, 2, values => values[0] * values[1]);
-        }
+  /// <summary>
+  ///     Pushes the product of the top two items.
+  /// </summary>
+  public class IntegerMultiplyExpression : PushResultExpression<long>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "INTEGER.*";
     }
 
-    /// <summary>
-    /// Pushes the quotient of the top two items; that is, the second item divided by the top item.
-    /// If the top item is zero this acts as a NOOP.
-    /// </summary>
-    public class IntegerDivideExpression : PushResultExpression<long>
+    public override void Eval(IPushGpInterpreter interpreter)
     {
-        protected override string InitStringRepresentation() { return "INTEGER./"; }
+      this.Eval(interpreter.IntegerStack, 2, values => values[0] * values[1]);
+    }
+  }
 
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter.IntegerStack, 2, values => values[0] / values[1], 0);
-        }
+  /// <summary>
+  ///     Pushes the quotient of the top two items; that is, the second item divided by the top item.
+  ///     If the top item is zero this acts as a NOOP.
+  /// </summary>
+  public class IntegerDivideExpression : PushResultExpression<long>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "INTEGER./";
     }
 
-    /// <summary>
-    /// Pushes the second stack item modulo the top stack item. If the top item is zero this acts as a NOOP. The modulus is computed as the
-    /// remainder of the quotient, where the quotient has first been truncated toward negative infinity. (This is taken from the definition
-    /// for the generic MOD function in Common Lisp, which is described for example at
-    /// http://www.lispworks.com/reference/HyperSpec/Body/f_mod_r.htm.)
-    /// </summary>
-    public class IntegerModuloExpression : PushResultExpression<long>
+    public override void Eval(IPushGpInterpreter interpreter)
     {
-        protected override string InitStringRepresentation() { return "INTEGER.%"; }
+      this.Eval(interpreter.IntegerStack, 2, values => values[0] / values[1], 0);
+    }
+  }
 
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter.IntegerStack, 2, values => values[0] % values[1], 0);
-        }
+  /// <summary>
+  ///     Pushes the second stack item modulo the top stack item. If the top item is zero this acts as a NOOP. The modulus is
+  ///     computed as the
+  ///     remainder of the quotient, where the quotient has first been truncated toward negative infinity. (This is taken
+  ///     from the definition
+  ///     for the generic MOD function in Common Lisp, which is described for example at
+  ///     http://www.lispworks.com/reference/HyperSpec/Body/f_mod_r.htm.)
+  /// </summary>
+  public class IntegerModuloExpression : PushResultExpression<long>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "INTEGER.%";
     }
 
-    /// <summary>
-    /// Pushes the minimum of the top two items.
-    /// </summary>
-    public class IntegerMinExpression : PushResultExpression<long>
+    public override void Eval(IPushGpInterpreter interpreter)
     {
-        protected override string InitStringRepresentation() { return "INTEGER.MIN"; }
+      this.Eval(interpreter.IntegerStack, 2, values => values[0] % values[1], 0);
+    }
+  }
 
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter.IntegerStack, 2, values => Math.Min(values[0], values[1]));
-        }
+  /// <summary>
+  ///     Pushes the minimum of the top two items.
+  /// </summary>
+  public class IntegerMinExpression : PushResultExpression<long>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "INTEGER.MIN";
     }
 
-    /// <summary>
-    /// Pushes the maximum of the top two items.
-    /// </summary>
-    public class IntegerMaxExpression : PushResultExpression<long>
+    public override void Eval(IPushGpInterpreter interpreter)
     {
-        protected override string InitStringRepresentation() { return "INTEGER.MAX"; }
+      this.Eval(interpreter.IntegerStack, 2, values => Math.Min(values[0], values[1]));
+    }
+  }
 
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(interpreter.IntegerStack, 2, values => Math.Max(values[0], values[1]));
-        }
+  /// <summary>
+  ///     Pushes the maximum of the top two items.
+  /// </summary>
+  public class IntegerMaxExpression : PushResultExpression<long>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "INTEGER.MAX";
     }
 
-    /// <summary>
-    /// Pushes TRUE onto the BOOLEAN stack if the second item is less than the top item, or FALSE otherwise.
-    /// </summary>
-    public class IntegerSmallerThanExpression : PushResultExpression<long>
+    public override void Eval(IPushGpInterpreter interpreter)
     {
-        protected override string InitStringRepresentation() { return "INTEGER.<"; }
+      this.Eval(interpreter.IntegerStack, 2, values => Math.Max(values[0], values[1]));
+    }
+  }
 
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(
-                interpreter.IntegerStack,
-                interpreter.BooleanStack,
-                2,
-                values => values[0] < values[1]);
-        }
+  /// <summary>
+  ///     Pushes TRUE onto the BOOLEAN stack if the second item is less than the top item, or FALSE otherwise.
+  /// </summary>
+  public class IntegerSmallerThanExpression : PushResultExpression<long>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "INTEGER.<";
     }
 
-    /// <summary>
-    /// Pushes TRUE onto the BOOLEAN stack if the second item is greater than the top item, or FALSE otherwise.
-    /// </summary>
-    public class IntegerGreaterThanExpression : PushResultExpression<long>
+    public override void Eval(IPushGpInterpreter interpreter)
     {
-        protected override string InitStringRepresentation() { return "INTEGER.>"; }
+      this.Eval(interpreter.IntegerStack, interpreter.BooleanStack, 2, values => values[0] < values[1]);
+    }
+  }
 
-        public override void Eval(IInterpreter interpreter)
-        {
-            Eval(
-                interpreter.IntegerStack,
-                interpreter.BooleanStack,
-                2,
-                values => values[0] > values[1]);
-        }
+  /// <summary>
+  ///     Pushes TRUE onto the BOOLEAN stack if the second item is greater than the top item, or FALSE otherwise.
+  /// </summary>
+  public class IntegerGreaterThanExpression : PushResultExpression<long>
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "INTEGER.>";
     }
 
-    /// <summary>
-    /// Pushes 1 if the top BOOLEAN is TRUE, or 0 if the top BOOLEAN is FALSE.
-    /// </summary>
-    public class IntegerFromBooleanExpression : StatelessExpression
+    public override void Eval(IPushGpInterpreter interpreter)
     {
-        protected override string InitStringRepresentation() { return "INTEGER.FROMBOOLEAN"; }
+      this.Eval(interpreter.IntegerStack, interpreter.BooleanStack, 2, values => values[0] > values[1]);
+    }
+  }
 
-        public override void Eval(IInterpreter interpreter)
-        {
-            if (interpreter.BooleanStack.Count == 0)
-                return;
-
-            var condition = interpreter.BooleanStack.Pop();
-            var value = condition ? 1 : 0;
-
-            interpreter.IntegerStack.Push(value);
-        }
+  /// <summary>
+  ///     Pushes 1 if the top BOOLEAN is TRUE, or 0 if the top BOOLEAN is FALSE.
+  /// </summary>
+  public class IntegerFromBooleanExpression : StatelessExpression
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "INTEGER.FROMBOOLEAN";
     }
 
-    /// <summary>
-    /// Pushes the result of truncating the top FLOAT.
-    /// </summary>
-    public class IntegerFromFloatExpression : StatelessExpression
+    public override void Eval(IPushGpInterpreter interpreter)
     {
-        protected override string InitStringRepresentation() { return "INTEGER.FROMFLOAT"; }
+      if (interpreter.BooleanStack.Count == 0) return;
 
-        public override void Eval(IInterpreter interpreter)
-        {
-            if (interpreter.FloatStack.Count == 0)
-                return;
+      var condition = interpreter.BooleanStack.Pop();
+      var value = condition ? 1 : 0;
 
-            var value = (int)interpreter.FloatStack.Pop();
+      interpreter.IntegerStack.Push(value);
+    }
+  }
 
-            interpreter.IntegerStack.Push(value);
-        }
+  /// <summary>
+  ///     Pushes the result of truncating the top FLOAT.
+  /// </summary>
+  public class IntegerFromFloatExpression : StatelessExpression
+  {
+    protected override string InitStringRepresentation()
+    {
+      return "INTEGER.FROMFLOAT";
     }
+
+    public override void Eval(IPushGpInterpreter interpreter)
+    {
+      if (interpreter.FloatStack.Count == 0) return;
+
+      var value = (int)interpreter.FloatStack.Pop();
+
+      interpreter.IntegerStack.Push(value);
+    }
+  }
 }
